Bug 1313455 - [calligra-l10n] Please add Supplements tag in specfile for langpacks
[calligra-l10n] Please add Supplements tag in specfile for langpacks
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: calligra-l10n (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1314406
  Show dependency treegraph
 
Reported: 2016-03-01 10:57 EST by Parag Nemade
Modified: 2016-03-30 04:44 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-30 04:44:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add Supplements for langpacks guidelines (19.84 KB, patch)
2016-03-01 10:57 EST, Parag Nemade
no flags Details | Diff
Add Supplements for langpacks guidelines (21.57 KB, patch)
2016-03-12 10:15 EST, Parag Nemade
no flags Details | Diff

  None (edit)
Description Parag Nemade 2016-03-01 10:57:08 EST
Created attachment 1131987 [details]
Add Supplements for langpacks guidelines

Description of problem:
As per newly approved https://fedoraproject.org/wiki/Packaging:Langpacks in https://fedorahosted.org/fpc/ticket/593#comment:18 , I would like to request to commit the attached patch in F24+ branches.
Comment 1 Parag Nemade 2016-03-12 09:43:30 EST
Well, I can also apply this patch as I am provenpackager. Should I apply?
Comment 2 Rex Dieter 2016-03-12 09:51:33 EST
In this case, I'd like to keep calligra-l10n mergeable with other branches, so I think that means adding conditionals around these, something like:

%if 0%{?fedora} > 23
Supplements: ...
%endif

If you can do that, I don't mind you committing it.
Comment 3 Parag Nemade 2016-03-12 10:15 EST
Created attachment 1135588 [details]
Add Supplements for langpacks guidelines

Revised patch that will add conditionals so that backporting of this commit will not add supplements to older branches.
Comment 4 Parag Nemade 2016-03-30 04:44:45 EDT
Built in F24+

Note You need to log in before you can comment on or make changes to this bug.